net.minecraftforge.common

## Class BiomeDictionary

- java.lang.Object
- - net.minecraftforge.common.BiomeDictionary

-     public class BiomeDictionary
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BiomeDictionary.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `areBiomesEquivalent(BiomeGenBase biomeA, BiomeGenBase biomeB)` Checks to see if two biomes are registered as having the same type
    `static BiomeGenBase[]` | `getBiomesForType(BiomeDictionary.Type type)` Returns a list of biomes registered with a specific type
    `static BiomeDictionary.Type[]` | `getTypesForBiome(BiomeGenBase biome)` Gets a list of Types that a specific biome is registered with
    `static boolean` | `isBiomeOfType(BiomeGenBase biome, BiomeDictionary.Type type)` Checks to see if the given biome is registered as being a specific type
    `static boolean` | `isBiomeRegistered(BiomeGenBase biome)` Checks to see if the given biome has been registered as being of any type
    `static boolean` | `isBiomeRegistered(int biomeID)`
    `static void` | `makeBestGuess(BiomeGenBase biome)` Automatically looks for and registers a given biome with appropriate tags This method is called automatically if a biome has not been registered with any tags, And another method requests information about it NOTE: You can opt out of having your biome registered by registering it as type NULL
    `static void` | `registerAllBiomes()` Loops through the biome list and automatically adds tags to any biome that does not have any This should be called in postInit to make sure all biomes have been registered DO NOT call this during world generation
    `static boolean` | `registerBiomeType(BiomeGenBase biome, BiomeDictionary.Type... types)` Registers a biome with a specific biome type

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BiomeDictionary

          public BiomeDictionary()

  - ### Method Detail

    - #### registerBiomeType

          public static boolean registerBiomeType(BiomeGenBase biome,
                                  BiomeDictionary.Type... types)

      Registers a biome with a specific biome type
      Parameters:
        `biome` - the biome to be registered
        `type` - the type to register the biome as
      Returns:
        returns true if the biome was registered successfully

    - #### getBiomesForType

          public static BiomeGenBase[] getBiomesForType(BiomeDictionary.Type type)

      Returns a list of biomes registered with a specific type
      Parameters:
        `type` - the Type to look for
      Returns:
        a list of biomes of the specified type, null if there are none

    - #### getTypesForBiome

          public static BiomeDictionary.Type[] getTypesForBiome(BiomeGenBase biome)

      Gets a list of Types that a specific biome is registered with
      Parameters:
        `biome` - the biome to check
      Returns:
        the list of types, null if there are none

    - #### areBiomesEquivalent

          public static boolean areBiomesEquivalent(BiomeGenBase biomeA,
                                    BiomeGenBase biomeB)

      Checks to see if two biomes are registered as having the same type
      Parameters:
        `biomeA` -
        `biomeB` -
      Returns:
        returns true if a common type is found, false otherwise

    - #### isBiomeOfType

          public static boolean isBiomeOfType(BiomeGenBase biome,
                              BiomeDictionary.Type type)

      Checks to see if the given biome is registered as being a specific type
      Parameters:
        `biome` - the biome to be considered
        `type` - the type to check for
      Returns:
        returns true if the biome is registered as being of type type, false otherwise

    - #### isBiomeRegistered

          public static boolean isBiomeRegistered(BiomeGenBase biome)

      Checks to see if the given biome has been registered as being of any type
      Parameters:
        `biome` - the biome to consider
      Returns:
        returns true if the biome has been registered, false otherwise

    - #### isBiomeRegistered

          public static boolean isBiomeRegistered(int biomeID)

    - #### registerAllBiomes

          public static void registerAllBiomes()

      Loops through the biome list and automatically adds tags to any biome that does not have any This should be called in postInit to make sure all biomes have been registered DO NOT call this during world generation

    - #### makeBestGuess

          public static void makeBestGuess(BiomeGenBase biome)

      Automatically looks for and registers a given biome with appropriate tags This method is called automatically if a biome has not been registered with any tags, And another method requests information about it NOTE: You can opt out of having your biome registered by registering it as type NULL
      Parameters:
        `biome` - the biome to be considered